### Method

# Shell AppUsage compare

#### Declaration [src]

    int
    shell_app_usage_compare (
      ShellAppUsage* self,
      const char* id_a,
      const char* id_b
    )

#### Description [src]

Compare `id_a` and `id_b` based on frequency of use.

#### Parameters

`id_a`

  Type: `const char*`

  ID of first app.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`id_b`

  Type: `const char*`

  ID of second app.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `int`

-1 if `id_a` ranks higher than `id_b`, 1 if `id_b` ranks higher than `id_a`, and 0 if both rank equally.